slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDSetStoppingTest

Specifies how to decide the termination of the outer loop of the singular value solver.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetStoppingTest(SVD svd,SVDStop stop)

Logically Collective

### Input Parameters

| svd | - singular value solver context obtained from SVDCreate()
| stop | - the type of stopping test

### Options Database Keys

| -svd_stop_basic | - Sets the default stopping test
| -svd_stop_user | - Selects the user-defined stopping test

### Note

The parameter 'stop' can have one of these values

| SVD_STOP_BASIC | - default stopping test
| SVD_STOP_USER | - function set by SVDSetStoppingTestFunction()

### See Also

SVDGetStoppingTest(), SVDSetStoppingTestFunction(), SVDSetConvergenceTest(), SVDStop

### Level

advanced

### Location

src/svd/interface/svdopts.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages